/* PrismJS 1.29.0
https://prismjs.com/download.html#themes=prism&languages=markup+css+clike+javascript+go */
/**
 * prism.js default theme for JavaScript, CSS and HTML
 * Based on dabblet (http://dabblet.com)
 * @author Lea Verou
 */

/**
 * prism.js default theme for JavaScript, CSS and HTML
 * Based on dabblet (http://dabblet.com)
 * @author Lea Verou
 */


:root {
  --prism-maintext: black;
  --prism-background: #f5f2f0;
  --prism-text: #999;
  --prism-keywords: #07a;
  --prism-punctuation: #999;
  --prism-functions: #f08d49;
  --prism-strings: #690;
  --prism-namespace: #e2777a;
  --prism-names: #6196cc;
  --prism-symbol: #DD4A68;
  --prism-url: #67cdcc;
}

[data-bs-theme="dark"] {
  --prism-maintext: #ccc;
  --prism-background: #2d2d2d;
  --prism-text: #999;
  --prism-keywords: #cc99cd;
  --prism-punctuation: #ccc;
  --prism-functions: #f08d49;
  --prism-strings: #7ec699;
  --prism-namespace: #e2777a;
  --prism-names: #6196cc;
  --prism-symbol: #f8c555;
  --prism-url: #9a6e3a;
}

@media (prefers-color-scheme: dark) {
  :root {
    --prism-maintext: #ccc;
    --prism-background: #2d2d2d;
    --prism-text: #999;
    --prism-keywords: #cc99cd;
    --prism-punctuation: #ccc;
    --prism-functions: #f08d49;
    --prism-strings: #7ec699;
    --prism-namespace: #e2777a;
    --prism-names: #6196cc;
    --prism-symbol: #f8c555;
    --prism-url: #9a6e3a;
  }

  [data-bs-theme="light"] {
    --prism-maintext: black;
    --prism-background: #f5f2f0;
    --prism-text: #999;
    --prism-keywords: #07a;
    --prism-punctuation: #999;
    --prism-functions: #f08d49;
    --prism-strings: #690;
    --prism-namespace: #e2777a;
    --prism-names: #6196cc;
    --prism-symbol: #DD4A68;
    --prism-url: #67cdcc;
  }
}

code[class*="language-"],
pre[class*="language-"] {
  color: black;
  word-wrap: normal;
  font-size: 60% !important;
  text-align: left;
  white-space: pre;
  word-spacing: normal;
  word-break: normal;
  word-wrap: normal;

  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;

  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

code[class*="language-"] span,
pre[class*="language-"] span {
  font-size: 100% !important;
}

/* Code blocks */
pre[class*="language-"] {
  overflow: auto;
}

/* Inline code */
:not(pre)>code[class*="language-"] {
  padding: .1em;
  border-radius: .3em;
  white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
  color: slategray;
}

.token.punctuation {
  color: #999;
}

.token.namespace {
  opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
  color: #905;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
  color: #690;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
  color: #9a6e3a;
  /* This background color was intended by the author of this theme. */
  background: hsla(0, 0%, 100%, .5);
}

.token.atrule,
.token.attr-value,
.token.keyword {
  color: #07a;
}

.token.function,
.token.class-name {
  color: #DD4A68;
}

.token.regex,
.token.important,
.token.variable {
  color: #e90;
}

.token.important,
.token.bold {
  font-weight: bold;
}

.token.italic {
  font-style: italic;
}

.token.entity {
  cursor: help;
}